vim plugin Vundle.vim 이 설치가 안됩니다. 에러가 나는데 원인을 모르겠습니다.


github을 통해 Vundle을 다운받아서 vimrc 파일에 github에 나와있는 스크립트를 입력하고 저장했습니다. 그리고 vim을 실행시키니 . . .

Error detected while processing /Users/W_PARK/.vim/bundle/Vundle.vim/autoload/vundle.vim:
line    6:
.....

E15: Invalid expression: (has('signs'))^M
line   91:
E171: Missing :endif
...

line   47:
E15: Invalid expression: (has('signs'))^M
line   91:
E171: Missing :endif

(중략)

E15: Invalid expression: (has('signs'))^M
line   91:
E171: Missing :endif
Error detected while processing /Users/W_PARK/.vimrc:
line   31:
E117: Unknown function: vundle#end

Press ENTER or type command to continue

이렇게 나오면서 플러그인도 설치도 안됩니다. 구글에 열심히 구글링해보면서 vim 업데이트도 하고 하라는거 거의다 해봤지만 결과는 똑같습니다ㅜㅜ 도와주세요

  • 2016년 09월 05일에 수정됨
  • 2016년 09월 01일에 작성됨

  • vimrc 파일을 볼 수 있었으면 좋을 것 같습니다. command 창에`cat ~/.vimrc | pbcopy` 명령어를 입력하시고 붙여넣기 하시면 됩니다.    fe22   2016.9.2 15:48     
  • 아래에 있습니다..     walli   2016.9.2 18:10     
조회수 146


1 답변


vimrc 파일입니다.

set nocompatible
filetype off

set rtp+=~/.vim/bundle/Vundle.vim

call vundle#begin()

Plugin 'VundleVim/Vundle.vim'

call vundle#end()
filetype plugin indent on

  • 2016년 09월 02일에 작성됨

로그인이 필요한 기능입니다.

Hashcode는 개발자들을 위한 무료 QnA사이트 입니다. 작성한 답변에 다른 개발자들이 댓글을 작성하거나 좋아요/싫어요를 할 수 있기 때문에 계정을 필요로 합니다.
► 로그인
► 계정만들기
Close